#pragma once

class SD3DBox;
class SDSceneNode;

class SDDetailNode : public SDSceneNode
{
protected:
	// Bounding box of the detail node
	SD3DBox*	m_pBox;

public:
	SDDetailNode(void);
	virtual ~SDDetailNode(void);

	virtual void setPosition(Point& p);
	virtual void setSize(float size);

	virtual SCENENODETYPE	getType()					{ return SIMPLEDETAIL; }
	virtual FITSRESULT		fits(SD3DBox* pBox);
	virtual int				whichOctants(Point* p, bool* intersections);

	virtual void draw();

};
