#include "sd.h"

SDDevsModelList::SDDevsModelList()
{
}

SDDevsModelList::~SDDevsModelList()
{
	ModelMap::iterator i = m_models.begin();
	SDDevsModel* pModel = NULL;
	while( i != m_models.end() )
	{
		pModel = (SDDevsModel*)(i->second);
		// Delete the model
		delete pModel;
		i++;
	}
}

SDDevsModel* SDDevsModelList::getModel(string name)
{

	ModelMap::iterator i = m_models.find(name);
	if( i != m_models.end() )
	{			
		return (SDDevsModel*)(i->second);
	}

	return NULL;

}

bool SDDevsModelList::addModel(SDDevsModel* pModel)
{
	if( pModel && pModel->getName() != "" )
	{
		if(m_models.find(pModel->getName()) != m_models.end() )
		{			
			return false;
		}
		m_models.insert(ModelPair(pModel->getName(), pModel));
		pModel->log();
	}
	else
	{
		::log("Unable to add Model. No name specified");
		return false;
	}

	return true;
}
