#include "source\includes.h"
#include "sd.h"

SDEvent::SDEvent(void)
{	
}

SDEvent::~SDEvent(void)
{
}

void SDEvent::log()
{

	// Log the event values
	::log("Event Data:");

	// Log type
	string s;
	s = "Type: ";	
	if( m_type == EXTERNAL )
		s.append("EXTERNAL");
	else
		s.append("OUTPUT");
	::log(s.c_str());

	// Log type
	s = "Time: ";
	s.append(m_time.getTimeString());
	::log(s.c_str());

	// Log the source
	s = "Source: ";
	s.append(m_source);
	::log(s.c_str());

	// Log the port
	s = "Port: ";
	s.append(m_port);
	::log(s.c_str());

	// Log the value
	s = "Value: ";
	char buffer[255];
	sprintf(buffer, "%lf", m_value);
	s.append(buffer);
	::log(s.c_str());

	// Log the destination
	s = "Destination: ";
	s.append(m_destination);
	::log(s.c_str());

}
