#pragma once

enum SCENENODETYPE
{
	SIMPLEDETAIL
};

class SDSceneNode
{
public:
	SDSceneNode(void);
	virtual ~SDSceneNode(void);

	virtual SCENENODETYPE getType() = 0;

	// Draws the scene node
	virtual void draw() = 0;

	// Check if this node fits in a 3d container
	virtual FITSRESULT	fits(SD3DBox* pBox) = 0;
	// Check which octants this node intersects
	// returns the index of the only intersection if there is only one
	// returns -1 if there are multiple intersections
	virtual int		whichOctants(Point* p, bool* intersections) = 0;

};
