#include "includes.h"

/*static*/ Timer Timer::s_timer;

void Timer::tick() {
	
	m_tick = timeGetTime();
	deltaTime = (m_tick - m_lastTick) * 0.001;
		
	if (deltaTime < 0.001) deltaTime = 0.001;
	if (deltaTime > 0.05) deltaTime = 0.05;
	m_lastTick = m_tick;
}

double Timer::fps() {
	return 1.0 / deltaTime;
}