#ifndef HEIGHTMAP_H
#define HEIGHTMAP_H

class HeightMap
{
protected:
	unsigned char*	m_pHeights;
	int				m_width;
	int				m_length;

	bool			readBMPHeightMap(char *fileName);
	bool			readTGAHeightMap(char *fileName);

public:
	unsigned char*  getHeight(int x, int y) { return &(m_pHeights[y * m_width + x]); };
	int				getWidth()				{ return m_width; };
	int				getLength()				{ return m_length; };

	HeightMap();
	virtual ~HeightMap();

	bool			loadHeightMap(char* fileName);

};


#endif