#pragma once

#include <string>
using namespace std;

class SDEvent;
class SDDevsModel;
class SLBase;
class VCModelList;
class VCEventList;

class VCSimulationLink
{
protected:	
	VCModelList* m_pModelListControl;
	VCEventList* m_pEventListControl;

	SLBase*		 m_pLink;
public:
	VCSimulationLink(VCModelList* pModelListControl, VCEventList* pEventListControl);
	virtual ~VCSimulationLink(void);

	virtual bool loadLogFile(string logFile);

	virtual bool notifyDEVSModel(SDDevsModel* pModel);
	virtual bool notifyEvent(SDEvent* pEvent);

};
