#pragma once

class VDEvent;

// Base class for classes that recieve events

class VDEventListener
{
protected:
	// Is this listener actively listening
	bool	m_isActive;

public:
	VDEventListener(void);
	virtual ~VDEventListener(void);

	virtual bool processEvent(VDEvent* pEvent) = 0;
	void	activate(bool active)		{ m_isActive = active;}
	bool	isActive()					{ return m_isActive; }
};
