#pragma once

#include <list>
using namespace std;

// A class to encapsulate a list of string messages

class VDStringLog
{
protected:
	static VDStringLog	s_globalLog;

	list<string>	m_log;
	int				m_maxSize;

public:
	VDStringLog(void);
	virtual ~VDStringLog(void);

	virtual int		getMaxSize()			{ return m_maxSize;	}
	virtual void	setMaxSize(int size)
	{
		m_maxSize = size;
		if( m_maxSize < (int)m_log.size() )
		{
			int i;
			int numToLose = (int)(m_log.size() - m_maxSize );
			for(i=0;i<numToLose;i++)
				m_log.pop_back();
		}
	}
	virtual int		getSize()				{ return (int)m_log.size(); }
	virtual void	addString(string str)	
	{
		if( m_log.size() == m_maxSize )
			m_log.pop_back();
		m_log.push_front(str);
	}	
	virtual list<string>::iterator getBegin()		{ return m_log.begin(); }
	virtual list<string>::iterator getEnd()			{ return m_log.end(); }
	

};
