#pragma once

#include <map>
using namespace std;

typedef map<string, SDDevsModel*> ModelMap;
typedef pair<string, SDDevsModel*> ModelPair;

class SDDevsModelList
{
protected:

	// Map containing the models used in this visualization
	ModelMap m_models;

public:
	SDDevsModelList();
	virtual ~SDDevsModelList();

	virtual SDDevsModel*	getModel(string name);
	virtual bool			addModel(SDDevsModel* pModel);
	

};