#pragma once

// Limited accuracy time class (limited to double float accuracy)
// *************

class SDTime
{
protected:
	double m_time;

public:
	SDTime(const SDTime &t) { m_time = t.m_time; }
	SDTime(double time)		{ m_time = time; }
	SDTime(void);
	virtual ~SDTime(void);

	void	setTime(string time);

	void	setTime(double time)													{ m_time = time; }
	void	setTime(int hours, int minutes, int seconds, int milliseconds);

	double	getTime()																{ return m_time; }
	void	getTime(int* hours, int* minutes, int* seconds, int* milliseconds);
	string	getTimeString();

	bool	operator=  (const SDTime& t)	{ m_time = t.m_time; }
	bool	operator<  (const SDTime& t) { return (m_time < t.m_time); }
	bool	operator<= (const SDTime& t ) { return (m_time <= t.m_time); }
	bool	operator>  (const SDTime& t ) { return (m_time > t.m_time); }
	bool	operator>= (const SDTime& t ) { return (m_time >= t.m_time); }
	bool	operator== (const SDTime& t ) { return (m_time == t.m_time); }

	const SDTime operator+ (const SDTime& t ) { SDTime s( m_time + t.m_time ); return s; }
	
};
