#pragma once

class Mesh : public ISerializable, public IDrawable {
public:
	FaceCollection m_faces;
	char* m_meshName;
public:
	Mesh(void) {
	m_meshName = NULL; }
	virtual ~Mesh(void) {
		deleteFaceCollectionEntries(m_faces);
		if( m_meshName )
			delete [] m_meshName;
	}

	bool serialize(BinaryFileStreamWriter *output);
	bool deserialize(BinaryFileStreamReader *input);

	void addFaces(FaceCollection &faces);
	void draw();
};

DECLARECOLLECTION(Mesh);