#pragma once

class MeshList : ISerializable, IDisposable
{
private:
	static MeshList s_meshList;
	
public:
	MeshCollection m_meshes;
	static MeshList *Get() {return &s_meshList;}

	bool serialize(BinaryFileStreamWriter *output);
	bool deserialize(BinaryFileStreamReader *input);

	void dispose() { deleteMeshCollectionEntries(m_meshes); m_meshes.clear(); };

	int getIndex(char* name);
	Mesh* getMesh(int index) {
		if( index != -1 )
			return (Mesh*)m_meshes[index];
		else
			return NULL;
	}
	int addMesh(Mesh* mesh);

private:
	MeshList(void) {}
	virtual ~MeshList(void) {}
};
