#include "includes.all"

Environment::Environment(int terrainTex)
{
	m_pTerrain = NULL;
	Point location;
	location.x = 0.0; location.y = -50.0; location.z = 0.0;
	m_pTerrain = new Terrain();
	string t("..\\Textures\\heightmap4_med.bmp");
	m_pTerrain->setProperties(location, t, terrainTex, 60.0, 512.0, 512.0);
	m_pTerrain->initialize();

}

Environment::~Environment()
{
	if(m_pTerrain)
	{
		m_pTerrain->dispose();
		delete m_pTerrain;
		m_pTerrain = NULL;
	}
}

void Environment::dispose()
{
	if(m_pTerrain)
	{
		m_pTerrain->dispose();
		delete m_pTerrain;
		m_pTerrain = NULL;
	}

}
void Environment::draw() 
{
	if( m_pTerrain)
		m_pTerrain->draw();
}
void Environment::tick()
{
	if( m_pTerrain)	
		m_pTerrain->tick();
}

bool Environment::deserialize(BinaryFileStreamReader *input)
{
	
	// Read the Environment object data in and create the environment objects


	return true;
}
