#ifndef ENVIRONMENT_H
#define ENVIRONMENT_H

class Environment : public IDrawable, public ITickable, public IDisposable, public ISerializable
{
protected:

	Terrain * m_pTerrain;

public:

	Environment(int terrainTex);
	virtual ~Environment();

	virtual void dispose();
	virtual void draw();
	virtual void tick();
	
	virtual bool serialize(BinaryFileStreamWriter *output) { return false; };
	virtual bool deserialize(BinaryFileStreamReader *input);
	
};

#endif