#pragma once

class VDButton : public VDWindow
{
protected:

	// Is the mouse over this button
	bool	m_mouseOver;

	// Is the button depressed
	bool	m_buttonPressed;	

public:
	VDButton(void);
	virtual ~VDButton(void);

	bool	hasMouseOver()	{ return m_mouseOver; }
	bool	isPressed()		{ return m_buttonPressed; }

	virtual bool processEvent(VDEvent *pEvent);

	virtual void setFocus(bool yes) { m_hasFocus = yes; if( !m_hasFocus ) { m_buttonPressed = false; } }
};

class VDTextButton : public VDButton
{
protected:

	// The label of the button
	string m_text;

public:
	VDTextButton(void);
	virtual ~VDTextButton(void);

	void	setText(string text)	{ m_text = text; }
	string	getText()				{ return m_text; }

	bool	processEvent(VDEvent* pEvent);
};
